Bug 1256630 - glusterFS_native_driver: `create share`can create larger shares than requested
glusterFS_native_driver: `create share`can create larger shares than requested
Status: CLOSED NEXTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity medium
: ---
: 7.0 (Kilo)
Assigned To: Csaba Henk
nlevinki
Don Domingo
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 03:06 EDT by krishnaram Karthick
Modified: 2016-08-17 05:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The GlusterFS native driver of the File Share Service allows users to create shares of specified sizes. If no Red Hat Gluster volumes of the exact requested size exist, the driver chooses one with the nearest possible size and creates a share on the volume. Whenever this occurs, the resulting share will use the entire volume. For example, if a user requests a 1GB share and only 2GB, 3GB, and 4GB volumes are available, the driver will choose the 2GB volume as a back end for the share. The driver will also proceed with creating a 2GB share; the user will be able to use and mount the entire 2GB share. To work around this, implement File Share quotas for users. Doing so will prevent them from provisioning more file share storage than what they are entitled to.
Story Points: ---
Clone Of:
: 1263543 (view as bug list)
Environment:
Last Closed: 2015-09-16 02:57:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kramdoss: needinfo-


Attachments (Terms of Use)

  None (edit)
Description krishnaram Karthick 2015-08-25 03:06:29 EDT
Description of problem:

GlusterFS native driver for manila allows user to create share of specified size. The driver chooses a gluster volume with nearest possible size and creates a share on the volume. ie., if user requests for a 100G share and back end gluster has a 200G, 250G, 500G volumes, driver chooses 200G volume to create share.

This results in user getting a 200G share when he/she has requested a 100G share. Quota has to be implemented to restrict the user to use only 100G

Version-Release number of selected component (if applicable):

openstack-manila-2015.1.0-2

How reproducible:

Always

Steps to Reproduce:

1) setup and configure a RHGS 3.1 gluster cluster and create a 200G volume
2) Configure RHEL OSP 7 Manila with 'glusterfs_native' as the share driver
3) Create a manila share with size 100G using 'glusterfs_native' driver
4) Mount the share on nova VM
5) Verify if the size is 100G

Actual results:

size of mount is 200G and user is allowed to use the complete 200G

Expected results:

User should be able to use only 100G

Additional info:
Comment 5 Csaba Henk 2015-09-16 02:57:43 EDT
No fix shall be provided for upstream Kilo and thus it's not fixed in RHEL OSP7 either.
It's added to the OSP7 Errata, see
https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/version-7/release-notes#idm140465730614816

The bug is handled in upstream Liberty. To track the downstream port of that fix, please see the variant of this bug for OSP8: BZ #1263543

Note You need to log in before you can comment on or make changes to this bug.